<%-
  # Base template:
  # haml-rails/lib/generators/haml/scaffold/templates/show.html.haml

  # Custom vars from available generator methods/instance vars:
  # i.e.: member
  namespace_name = class_path.length > 0 ? class_path.first : nil
  # i.e.: post (without namespace)
  singular_table_name_only = file_name
  # i.e: member_posts_path
  path_method_to_all = index_helper(type: :path)
  # i.e: member_post_path(@post)
  path_method_to_one = show_helper("@#{singular_table_name_only}", type: :path)
-%>
- @page_title = t('.title', name: @<%= singular_table_name_only %>.name)

= render 'layouts/page_actions', back_url: <%= path_method_to_all %>,
                                 edit_url: edit_<%= path_method_to_one %>,
                                 destroy_url: <%= path_method_to_one %>

._show-page
  %aside._show-page__panel
    %section
      %dl
        %dt= t('generic.definition', value: t('generic.id'))
        %dd.-text--monospace= @<%= singular_table_name_only %>.id

      <%- for attribute in attributes -%>
        %dt= t('generic.definition', value: t('activerecord.attributes.<%= singular_table_name_only %>.<%= attribute.name %>'))
        %dd= @<%= singular_table_name_only %>.<%= attribute.name %>

      <%- end -%>
  ._show-page__content
    -# %h2= t('activerecord.attributes.<%= singular_table_name_only %>.xxx')
    -# = @<%= singular_table_name_only %>.xxx
